import LayoutMain from '@/framework/layout/Main'

import Login from '@/framework/layout/Login'
import Dasboard from '@/views/dasboard'

import UserList from '@/views/system/user/UserList'
import RoleList from '@/views/system/role/RoleList'
import ChangePwd from '@/views/system/pwd/ChangePwd'

/**点位部分 */
import pointConfig from '@/views/point/config_point'
import dynamicdata from '@/views/point/dynamicdata'
import equipRela from '@/views/point/dynamicdata/addRelation/equipRela'
import editDataSouce from '@/views/point/config_point/edit_origin'
import pointSteps from '@/views/point/config_point/steps'

/**项目化配置 */
import collectsetting from '@/views/project_setting/collection_setting/index'

/**模型管理 */
import  modelFile from '@/views/model/file/index'

/** 业务空间 */
import spacelist from '@/views/business_space/business_list'

/** 扫楼数据整理 */
import buildAssets from '@/views/data_admin/buildAssets'
import buildLog from '@/views/data_admin/buildLog'
import buildUser from '@/views/data_admin/buildUser'
import buildData from '@/views/data_admin/buildData'
import buildGraphy from '@/views/data_admin/buildGraphy'

/**市场及商务 */
const OwnerManage = () =>
    import ('@/views/market/owner/manage')

/**  台账管理 */
import systemLedger from '@/views/ledger/system/index'
import dialogAssets from '@/views/ledger/system/addsystem'
import facilityLedger from '@/views/ledger/facility/index'
import partsLedger from '@/views/ledger/facility/parts/index'
import partsmanageLedger from '@/views/ledger/facility/partsmanage/index'
import addparts from '@/views/ledger/facility/partsmanage/addparts/index'
import dialogDevice from '@/views/ledger/facility/addfacility'
import propertyLedger from '@/views/ledger/property/index'
import dialogSystem from '@/views/ledger/property/addproperty'
import cenotelist from '@/views/ledger/cenotelist/index' //竖井清单
import cenoteadd from '@/views/ledger/cenotelist/cenoteadd/index' //添加竖井
import auth from '@/views/system/auth'
import noUser from '@/views/system/nouser'

/** 租户管理 */
import rentlist from '@/views/rent/rentlist/index'
import rentadd from '@/views/rent/rentlist/rentadd/index'


export default [
    { path: '/', name: '', component: LayoutMain, children: [{ path: '', name: 'blank', component: Dasboard }] },
    //{ path: '/login', name: 'Login', component: Login },
    { path: '/auth', name: 'auth', component: auth },
    { path: '/noUser', name: 'noUser', component: noUser },
    // 系统集成
    {
        path: '/point',
        name: 'LayoutMain',
        component: LayoutMain,
        children: [
            { path: '', name: 'pointConfig', component: pointConfig },
            {
                path: 'pointsetting',
                name: 'Dasboard',
                component: pointConfig,
                meta: { keepAlive: false, breadcrumbs: [{ label: '系统集成', path: '/point/pointsetting' }, { label: '点位表配置工具' }] }
            },
            { path: 'editDataSouce', name: 'editDataSouce', component: editDataSouce },
            { path: 'pointSteps', name: 'pointSteps', component: pointSteps },
            {
                path: 'dynamicdata',
                name: 'dynamicdata',
                component: dynamicdata,
                meta: { keepAlive: false, breadcrumbs: [{ label: '系统集成', path: '/point/pointsetting' }, { label: '动态数据关联' }] }
            },
            {
                path: 'equipRela',
                name: 'equipRela',
                component: equipRela,
                meta: { keepAlive: false, breadcrumbs: [{ label: '系统集成', path: '/point/pointsetting' }, { label: '动态数据关联 / 处理未对应实例对象标识' }] }
            },
        ]
    },
    //项目化配置
    {
        path: '/proj',
        name: 'LayoutMain',
        component: LayoutMain,
        children: [
            { path: '', name: 'Dasboard', component: Dasboard },
            {
                path: 'custominfo',
                name: 'Dasboard',
                component: Dasboard,
                meta: { keepAlive: false, breadcrumbs: [{ label: '项目基础设置', path: '/proj/collectsetting' }, { label: '自定义信息点' }] }
            },
            {
                path: 'collectsetting',
                name: 'collectsetting',
                component: collectsetting,
                meta: { keepAlive: false, breadcrumbs: [{ label: '项目基础设置', path: '/proj/collectsetting' }, { label: '项目需采集的信息点' }] }
            },
            {
                path: 'floorinfo',
                name: 'Dasboard',
                component: Dasboard,
                meta: { keepAlive: false, breadcrumbs: [{ label: '项目基础设置', path: '/proj/collectsetting' }, { label: '楼层信息管理' }] }
            }
        ]
    },
    //模型管理
    {
        path: '/model',
        name: 'LayoutMain',
        component: LayoutMain,
        children: [
            { path: '', name: 'Dasboard', component: Dasboard },
            {
                path: 'file',
                name: 'modelFile',
                component: modelFile,
                meta: { keepAlive: false, breadcrumbs: [{ label: '模型管理', path: '/model/file' }, { label: '模型文件管理' }] }
            },
            {
                path: 'noentity',
                name: 'collectsetting',
                component: Dasboard,
                meta: { keepAlive: false, breadcrumbs: [{ label: '模型管理', path: '/model/file' }, { label: '未实体化模型清单' }] }
            },
            {
                path: 'beforemodel',
                name: 'Dasboard',
                component: Dasboard,
                meta: { keepAlive: false, breadcrumbs: [{ label: '模型管理', path: '/model/file' }, { label: '待建模清单' }] }
            },
            {
                path: 'modelrule',
                name: 'Dasboard',
                component: Dasboard,
                meta: { keepAlive: false, breadcrumbs: [{ label: '模型管理', path: '/model/file' }, { label: '拓扑检查' }] }
            },
            {
                path: 'beacon',
                name: 'Dasboard',
                component: Dasboard,
                meta: { keepAlive: false, breadcrumbs: [{ label: '模型管理', path: '/model/file' }, { label: '信标清单' }] }
            }
        ]
    },
    //台账管理
    {
        path: '/ledger',
        name: 'LayoutMain',
        component: LayoutMain,
        children: [
            { path: '', name: 'Dasboard', component: Dasboard },
            {
                path: 'facility',
                name: 'facilityLedger',
                component: facilityLedger,
                meta: { keepAlive: false, breadcrumbs: [{ label: '台账管理', path: '/ledger/facility' }, { label: '设备清单' }] }
            },
            {
                path: 'parts',
                name: 'partsLedger',
                component: partsLedger,
                meta: { keepAlive: false, breadcrumbs: [{ label: '台账管理', path: '/ledger/facility' }, { label: '包含的部件' }] }
            },
            {
                path: 'partsmanage',
                name: 'partsmanageLedger',
                component: partsmanageLedger,
                meta: { keepAlive: false, breadcrumbs: [{ label: '台账管理', path: '/ledger/facility' }, { label: '管理部件' }] },
            },
            {
                path: 'addparts',
                name: 'addparts',
                component: addparts,
                meta: { keepAlive: false, breadcrumbs: [{ label: '台账管理', path: '/ledger/facility' }, { label: '添加部件' }] },
            },

            {
                path: 'addevice',
                name: 'dialogDevice',
                component: dialogDevice,
                meta: { keepAlive: false, breadcrumbs: [{ label: '台账管理', path: '/ledger/facility' }, { label: '设备清单', path: '/ledger/facility' }, { label: '添加设备' }] }
            },

            {
                path: 'property',
                name: 'propertyLedger',
                component: propertyLedger,
                meta: { keepAlive: false, breadcrumbs: [{ label: '台账管理', path: '/ledger/facility' }, { label: '资产清单' }] }
            },
            {
                path: 'property/addproperty',
                name: 'dialogSystem',
                component: dialogSystem,
            },

            {
                path: 'cenotelist',
                name: 'cenotelist',
                component: cenotelist,
                meta: { keepAlive: false, breadcrumbs: [{ label: '台账管理', path: '/ledger/facility' }, { label: '竖井清单' }] }
            },
            {
                path: 'cenoteadd',
                name: 'cenoteadd',
                component: cenoteadd,
                meta: { keepAlive: false, breadcrumbs: [{ label: '台账管理', path: '/ledger/facility' }, { label: '竖井清单', path: '/ledger/cenotelist' }, { label: '添加竖井' }] }
            },
            {
                path: 'dimension',
                name: 'Dasboard',
                component: Dasboard,
                meta: { keepAlive: false, breadcrumbs: [{ label: '台账管理', path: '/ledger/facility' }, { label: '元空间管理' }] }
            },
            {
                path: 'rubbish',
                name: 'Dasboard',
                component: Dasboard,
                meta: { keepAlive: false, breadcrumbs: [{ label: '台账管理', path: '/ledger/facility' }, { label: '垃圾数据检查' }] }
            },
            {
                path: 'updowncheck',
                name: 'Dasboard',
                component: Dasboard,
                meta: { keepAlive: false, breadcrumbs: [{ label: '台账管理', path: '/ledger/facility' }, { label: '上下级关系检查' }] }
            }
        ]
    },
    //业务空间管理
    {
        path: '/business',
        name: 'LayoutMain',
        component: LayoutMain,
        children: [
            { path: '', name: 'Dasboard', component: Dasboard },
            {
                path: 'spacelist',
                name: 'spacelist',
                component: spacelist,
                meta: { keepAlive: false, breadcrumbs: [{ label: '业务空间管理', path: '/business/spacelist' }, { label: '业务空间清单' }] }
            }
        ]
    },
    //租户管理
    {
        path: '/rent',
        name: 'LayoutMain',
        component: LayoutMain,
        children: [
            { path: '', name: 'Dasboard', component: Dasboard },
            {
                path: 'rentlist',
                name: 'rentlist',
                component: rentlist,
                meta: { keepAlive: false, breadcrumbs: [{ label: '租户管理', path: '/rent/rentlist' }, { label: '租户清单' }] }
            },
            {
                path: 'rentadd',
                name: 'rentadd',
                component: rentadd,
                meta: { keepAlive: false, breadcrumbs: [{ label: '租户管理', path: '/rent/rentlist' }, { label: '租户清单', path: '/rent/rentlist' }, { label: '添加租户' }] }
            }
        ]
    },
    //扫楼数据管理
    {
        path: '/floor',
        name: 'LayoutMain',
        component: LayoutMain,
        children: [
            { path: '', name: 'buildData', component: buildData },
            {
                path: 'data',
                name: 'buildData',
                component: buildData,
                meta: { keepAlive: false, breadcrumbs: [{ label: '扫楼作业', path: '/floor/data' }, { label: '扫楼数据管理' }] }
            },
            {
                path: 'plan',
                name: 'buildGraphy',
                component: buildGraphy,
                meta: { keepAlive: false, breadcrumbs: [{ label: '扫楼作业', path: '/floor/data' }, { label: '楼层平面图管理' }] }
            },
            {
                path: 'abnormalprop',
                name: 'buildAssets',
                component: buildAssets,
                meta: { keepAlive: false, breadcrumbs: [{ label: '扫楼作业', path: '/floor/data' }, { label: '异常资产清单' }] }
            },
            {
                path: 'log',
                name: 'buildLog',
                component: buildLog,
                meta: { keepAlive: false, breadcrumbs: [{ label: '扫楼作业', path: '/floor/data' }, { label: '扫楼日志查看' }] }
            },
            {
                path: 'appuser',
                name: 'buildUser',
                component: buildUser,
                meta: { keepAlive: false, breadcrumbs: [{ label: '项目基础设置', path: '/proj/collectsetting' }, { label: '扫楼App用户管理' }] }
            }
        ]
    },
    //环境调节
    {
        path: '/environment',
        name: 'LayoutMain',
        component: LayoutMain,
        children: [
            { path: '', name: 'Dasboard', component: Dasboard },
            { path: 'envlist', name: 'Dasboard', component: Dasboard }
        ]
    },
    //市场及商务
    {
        path: '/market',
        name: 'LayoutMain',
        component: LayoutMain,
        children: [
            { path: '', name: 'Dasboard', component: Dasboard },
            { path: 'own', name: 'Dasboard', component: OwnerManage }
        ]
    },
    //系统管理
    {
        path: '/system',
        name: 'LayoutMain',
        component: LayoutMain,
        children: [{
                path: 'list',
                name: 'systemlist',
                component: systemLedger,
                meta: { keepAlive: false, breadcrumbs: [{ label: '系统管理', path: '/system/list' }, { label: '系统清单' }] }
            },
            {
                path: '/system/list/addsystem',
                name: 'dialogAssets',
                component: dialogAssets,
            },
        ]
    }
]